Robot Simulator of the Robotics Group for Self-Organization of Control: WiringSequence Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# WiringSequence Class Reference

Implements a sequence of wirings. More...

`#include <wiringsequence.h>`

Inherits AbstractWiring.

Inheritance diagram for WiringSequence:

[legend]
Collaboration diagram for WiringSequence:

[legend]
List of all members.

## Public Member Functions
| WiringSequence (std::list< AbstractWiring * >)
| constructor: The wirings given in the list are applied in the sequence.
| WiringSequence (AbstractWiring *w1, AbstractWiring *w2)
| constructor provided for convinience, essentially calls addWiring(w1);addWiring(w2)
virtual | ~WiringSequence ()
virtual void | addWiring (AbstractWiring *wiring)
| adds a wiring to the list of wirings
virtual iparamkeylist | getInternalParamNames () const
| pass through of first wiring
virtual iparamvallist | getInternalParams () const
| pass through of first wiring
## Protected Member Functions
virtual bool | initIntern (int robotsensornumber, int robotmotornumber, RandGen *randGen=0)
| to be overloaded by subclasses
virtual bool | wireSensorsIntern (const sensor *rsensors, int rsensornumber, sensor *csensors, int csensornumber, double noise)
| to be overloaded by subclasses
virtual bool | wireMotorsIntern (motor *rmotors, int rmotornumber, const motor *cmotors, int cmotornumber)
| to be overloaded by subclasses
## Protected Attributes
std::vector< AbstractWiring * > | wirings
bool | initialised

## Detailed Description

Implements a sequence of wirings.

## Constructor & Destructor Documentation

WiringSequence | ( | std::list< AbstractWiring * > |  | ) |

constructor: The wirings given in the list are applied in the sequence.

For the sensors in normal order and for the motors in reverse order

WiringSequence | ( | AbstractWiring * | w1,
|  | AbstractWiring * | w2 |
| ) |  |  |

constructor provided for convinience, essentially calls addWiring(w1);addWiring(w2)

~WiringSequence | ( |  | ) | `[virtual]`

## Member Function Documentation

void addWiring | ( | AbstractWiring * | wiring | ) | `[virtual]`

adds a wiring to the list of wirings

Inspectable::iparamkeylist getInternalParamNames | ( |  | ) | const`[virtual]`

pass through of first wiring

Reimplemented from Inspectable.

Inspectable::iparamvallist getInternalParams | ( |  | ) | const`[virtual]`

pass through of first wiring

Reimplemented from Inspectable.

bool initIntern | ( | int | robotsensornumber,
|  | int | robotmotornumber,
|  | RandGen * | randGen = `0` |
| ) |  |  | `[protected, virtual]`

to be overloaded by subclasses

See also:
  init()

Implements AbstractWiring.

bool wireMotorsIntern | ( | motor * | rmotors,
|  | int | rmotornumber,
|  | const motor * | cmotors,
|  | int | cmotornumber |
| ) |  |  | `[protected, virtual]`

to be overloaded by subclasses

See also:
  wireMotors()

Implements AbstractWiring.

bool wireSensorsIntern | ( | const sensor * | rsensors,
|  | int | rsensornumber,
|  | sensor * | csensors,
|  | int | csensornumber,
|  | double | noise |
| ) |  |  | `[protected, virtual]`

to be overloaded by subclasses

See also:
  wireSensors()

Implements AbstractWiring.

## Member Data Documentation

bool initialised`[protected]`

Reimplemented from AbstractWiring.

std::vector<AbstractWiring*> wirings`[protected]`

The documentation for this class was generated from the following files:

- wiringsequence.h
- wiringsequence.cpp